summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Johnson <youngmug@animeneko.net>2010-05-11 15:01:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:36 +0200
commit19a247802d7c1909a4757ae952ea31255f6a11b3 (patch)
tree6d80e273f76f7d383b558ef9d9244872d7fc2af1
parent2e6605101a59abbce06b221c75ed959dc61fca54 (diff)
downloadslackbuilds-19a247802d7c1909a4757ae952ea31255f6a11b3.tar.gz
slackbuilds-19a247802d7c1909a4757ae952ea31255f6a11b3.tar.xz
network/sphinx: Initial import
-rw-r--r--network/sphinx/README10
-rw-r--r--network/sphinx/slack-desc11
-rw-r--r--network/sphinx/sphinx.SlackBuild57
-rw-r--r--network/sphinx/sphinx.info8
4 files changed, 86 insertions, 0 deletions
diff --git a/network/sphinx/README b/network/sphinx/README
new file mode 100644
index 0000000000..7da36aa4ab
--- /dev/null
+++ b/network/sphinx/README
@@ -0,0 +1,10 @@
+Sphinx is a full-text search engine, distributed under GPL version 2.
+
+Generally, it's a standalone search engine, meant to provide fast,
+size-efficient and relevant fulltext search functions to other
+applications. Sphinx was specially designed to integrate well with
+SQL databases and scripting languages.
+
+mysql_config should be on your path when building, or you will need
+to edit the build script configure command to point to the MySQL
+library and include directories.
diff --git a/network/sphinx/slack-desc b/network/sphinx/slack-desc
new file mode 100644
index 0000000000..85bfc5344f
--- /dev/null
+++ b/network/sphinx/slack-desc
@@ -0,0 +1,11 @@
+sphinx: sphinx (Sphinx Search Engine)
+sphinx:
+sphinx: Sphinx is a full-text search engine, distributed under GPL
+sphinx: version 2.
+sphinx:
+sphinx: Generally, it's a standalone search engine, meant to provide
+sphinx: fast, size-efficient and relevant fulltext search functions
+sphinx: to other applications. Sphinx was specially designed to
+sphinx: integrate well with SQL databases and scripting languages.
+sphinx:
+sphinx:
diff --git a/network/sphinx/sphinx.SlackBuild b/network/sphinx/sphinx.SlackBuild
new file mode 100644
index 0000000000..d38f47aeb6
--- /dev/null
+++ b/network/sphinx/sphinx.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for Sphinx
+# Written by <youngmug@animeneko.net>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=sphinx
+VERSION=0.9.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-sphinx
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $TMP/$PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/sphinx \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL doc scripts $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/sphinx/sphinx.info b/network/sphinx/sphinx.info
new file mode 100644
index 0000000000..cdcc47ee34
--- /dev/null
+++ b/network/sphinx/sphinx.info
@@ -0,0 +1,8 @@
+PRGNAM="sphinx"
+VERSION="0.97"
+HOMEPAGE="http://www.sphinxsearch.com/"
+DOWNLOAD="http://www.sphinxsearch.com/downloads/sphinx-0.9.7.tar.gz"
+MD5SUM="32f2b7e98d8485c86108851d52c5cef4"
+MAINTAINER="Michael Johnson"
+EMAIL="youngmug@animeneko.net"
+APPROVED="rworkman"